package cn.iocoder.yudao.module.order.vo.orderException;

import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import cn.iocoder.yudao.module.system.enums.DictTypeConstants;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("管理后台 - 异常单统计excel")
public class OrderExceptionStatisticsExcelVo {
    @ExcelProperty("入仓时间")
    private Date warehouseDate;
    @ExcelProperty("入仓号")
    private String warehouseNo;
    @ExcelProperty(value = "货物状态",converter = DictConvert.class)
    @DictFormat(DictTypeConstants.ORDER_STATUS)
    private String orderStatus;
    @ExcelProperty("品名")
    private String goodsName;
    @ExcelProperty(value = "异常原因",converter = DictConvert.class)
    @DictFormat(DictTypeConstants.EXCEPTION_ORDER_TYPE)
    private String exceptionStatus;
    @ExcelProperty("发货人号码")
    private String consignorPhone;
    @ExcelProperty("收货人号码")
    private String consigneePhone;
}
